aboutsummaryrefslogtreecommitdiffhomepage
path: root/src/test/shell
diff options
context:
space:
mode:
authorGravatar ulfjack <ulfjack@google.com>2018-05-29 05:17:35 -0700
committerGravatar Copybara-Service <copybara-piper@google.com>2018-05-29 05:18:35 -0700
commit904a8d63833301f54c7df85bccc56ff67156afc5 (patch)
tree3e272496bee7dee8f2d9c4690128e4f13cb323fe /src/test/shell
parentab2431e1ef62d91230fdef49b2556bbe60c9de56 (diff)
Refactor root cause reporting in ConfiguredTargetFunction
We now track Causes instead of plain Labels, which will allow us to do better reporting in the future. Add basic tests. PiperOrigin-RevId: 198380468
Diffstat (limited to 'src/test/shell')
-rwxr-xr-xsrc/test/shell/integration/build_event_stream_test.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/src/test/shell/integration/build_event_stream_test.sh b/src/test/shell/integration/build_event_stream_test.sh
index 12ce134ef1..5a8263d1f1 100755
--- a/src/test/shell/integration/build_event_stream_test.sh
+++ b/src/test/shell/integration/build_event_stream_test.sh
@@ -723,7 +723,7 @@ function test_independent_visibility_failures() {
> aborted_events
[ `grep '^aborted' aborted_events | wc -l` \
-eq `grep ANALYSIS_FAILURE aborted_events | wc -l` ] \
- || fail "events should only be aborted due to analysis failre"
+ || fail "events should only be aborted due to analysis failure"
}
function test_loading_failure_keep_going() {